varying vec3 vTexcoord;
varying vec2 vUv;
uniform sampler2D uTexture;
uniform samplerCube uCubemapTarget;
uniform vec3 uWorldPosition;
uniform float uTransition;

void main() {
    gl_FragColor = mix(
        texture2D(uTexture,  vUv),
        textureCube(uCubemapTarget, normalize(vTexcoord - uWorldPosition)),
        uTransition
    );
}